#!/bin/sh
#Revision: 1.1, 06/14/01
# 5630-A23, 5630-A22, (C) Copyright IBM Corporation, 1997, 2002
# All rights reserved. Licensed Materials Property of IBM  
# US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

binDir=`dirname $0`
. $binDir/setupCmdLine.sh 

LOG=$WAS_HOME/logs/SamplesDB2.log

if [ ! $# -eq 2 ]; then 
	echo "Usage: ./DB2createSampleDB.sh <DB2 User ID> <DB2 User Password>"
	exit 1
fi

DB2USER=$1
DB2PASSWD=$2

echo "Begin database creation"
echo "Dropping the SAMPLE database..."
su - $DB2USER -c "db2 -z $LOG uncatalog database SAMPLE"
su - $DB2USER -c "db2 -z $LOG drop database DB2SAMP"
echo "Creating the SAMPLE database..."
su - $DB2USER -c "db2 -z $LOG CREATE DATABASE DB2SAMP"
su - $DB2USER -c "db2 -z $LOG catalog DATABASE DB2SAMP AS SAMPLE AT NODE WASNODE"
echo "Connecting to the SAMPLE database..."
echo "Granting authorities on the SAMPLE database to the wsdemo user..."
su - $DB2USER -c "db2 -z $LOG CONNECT TO DB2SAMP user $DB2USER using $DB2PASSWD;db2 -z $LOG GRANT CONNECT, CREATETAB ON DATABASE TO USER WSDEMO;db2 -z $LOG disconnect current"
echo "Disconnecting from the SAMPLE database..."
echo ""
echo "Database creation complete"
