#!/bin/sh
# 5630-A23, 5630-A22, (C) Copyright IBM Corporation, 1997, 2002
# All rights reserved. Licensed Materials Property of IBM  
# US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.  

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

DESTARG=null
DESTPORTARG=null

if [ $# -eq 0 ]
then
 DEBUGOPTS=
elif [ "$1" = "debug" ]
then
 DEBUGOPTS='-traceString "com.ibm.*=all=enabled" '
 if [ $# -eq 2 ]
 then
  DESTARG=$2
 elif [ $# -eq 3 ]
 then
  DESTARG=$2
  DESTPORTARG=$3
 fi
else
 DEBUGOPTS=
 if [ $# -eq 1 ]
 then
  DESTARG=$1
 elif [ $# -eq 2 ]
 then
  DESTARG=$1
  DESTPORTARG=$2
 fi
fi

if [ "${DESTARG}" = "null" ]
then
 echo 'No remote host or port argument specified. This host and port 900 will be used.'
 echo 'This command may be issued as: adminclient <host address <port number>>'
 DEST=
 DESTPORT=
elif [ "${DESTPORTARG}" = "null" ]
then
 DEST='-host '$DESTARG
 DESTPORT=
 echo 'Remote AdminServer '$DESTARG' will be accessed on the default port 900.'
else
 DEST='-host '$DESTARG
 DESTPORT='-port '$DESTPORTARG
 echo 'Remote AdminServer '$DESTARG' will be accessed on port '$DESTPORTARG'.'
fi

# Set the ulimit
LIMIT=`ulimit -n`
if [ "${LIMIT}" != "unlimited" ]
then
  if [ $LIMIT -lt 1024 ]
  then
    ulimit -n 1024
  fi
fi

OS=`uname`
case $OS in
AIX | Linux)
  WAS_JAVAOPTS="-Xminf0.15 -Xmaxf0.25" ;;
SunOS | HP-UX)
  WAS_JAVAOPTS=-Xbootclasspath/a:$JAVA_HOME/jre/lib/ext/ibmorb.jar ;;
esac

$JAVA_HOME/bin/java \
    -Xms12m -Xmx128m $WAS_JAVAOPTS \
    $CLIENTSAS \
    -Dserver.root=$WAS_HOME \
    -Dws.ext.dirs=$WAS_EXT_DIRS \
    -classpath $WAS_CLASSPATH com.ibm.ws.bootstrap.WSLauncher \
    com.ibm.ejs.sm.client.ui.EJSConsole \
    $DEST $DESTPORT $DEBUGOPTS $QUALIFYNAMES >> $binDir/../logs/adminclient_audit_messages.log
