#!/bin/sh

binDir=`dirname $0`
. $binDir/setupCmdLine.sh 


##################################################
# Get the version of Xerces packaged with this WAS 
#
xercesVersion=`$JAVA_HOME/bin/java -cp $WAS_HOME/lib/xerces.jar org.apache.xerces.framework.Version`
export xercesVersion

if [ "$xercesVersion" = "1.2.1" ]
then
  CMPOPT_JARPATH=$WAS_HOME/lib/cmpopt1026a.jar
else
  CMPOPT_JARPATH=$WAS_HOME/lib/cmpopt1026b.jar
fi

export CMPOPT_JARPATH

CP=.:$CMPOPT_JARPATH
CP=$CP:$WAS_HOME/lib/mofj2ee.jar
CP=$CP:$WAS_HOME/lib/aat.jar
CP=$CP:$WAS_HOME/lib/mof.jar
CP=$CP:$WAS_HOME/lib/mofjava.jar
CP=$CP:$WAS_HOME/lib/ws-base-extensions.jar
CP=$CP:$WAS_HOME/lib/ras.jar

export CP

run()
{
  $JAVA_HOME/bin/java -classpath $CP \
    -DOS=unix -DWAS_HOME=$WAS_HOME -Xgcthreads8 -Xms384m -Xmx384m com.ibm.jcs.CmpOptimal $WAS_HOME/lib $JAVA_HOME/jre/lib $*
}

if [ "$1" = "-xerces" ]
then
  echo $xercesVersion detected.
else
  run $*
fi
